# class NameService::NameService::PW

### Public Instance Methods

deletecmd() click to toggle source

    # File lib/puppet/provider/nameservice/pw.rb, line 5
    def deletecmd
      [command(:pw), "#{@resource.class.name.to_s}del", @resource[:name]]
    end

modifycmd(param, value) click to toggle source

    # File lib/puppet/provider/nameservice/pw.rb, line 9
    def modifycmd(param, value)
      cmd = [
        command(:pw),
        "#{@resource.class.name.to_s}mod",
        @resource[:name],
        flag(param),
        value
      ]
      cmd
    end